Trade-in Device API
Updated Sep 12, 2026
1743 views
API Documentation
The Trade-in Device Model
The Trade-in Device Item object represents a device that is being traded in the system. Below is an example of a Trade-in Device Item object with all possible fields.
json{ "carrier": "Verizon", "color": "White", "condition": "Grade A", "manufacturer": "Apple", "deviceType": "Phones", "model": "iPhone 13 Pro", "password": "", "serialNumber": "332132131AA", "status": "Opened", "storage": "256GB", "patternLock": "[]", "quoteValue": "100", "tradeinDevice": true, "additionalInfo": "Includes original box and accessories" }
Trade-in Device Object Properties
Allowed Device Types
- Tablets
- Computers
- Phones
- Gaming
- Other
- Wearables
Trade-in Resources
Search trade-ins
This endpoint returns a list of all trade-ins.
HTTP Request
httpGET https://www.myrepairapp.com/api/v2/inventory/trade-in
Query Parameters
Response
If successful, the response will include a list of trade-ins that fulfill the search criteria.
Create a trade-in
This endpoint creates a list of new trade-in devies.
HTTP Request
httpPOST https://www.myrepairapp.com/api/v2/inventory/trade-in
Request Body
The request body must contain a valid list of TradeIn objects.
json[ { "carrier": "Verizon", "color": "White", "condition": "Grade A", "manufacturer": "Apple", "deviceType": "Phones", "item": "iPhone 13 Pro", "model": "iPhone 13 Pro", "password": "", "serialNumber": "332132131AA", "status": "Opened", "storage": "256GB", "patternLock": "[]", "quoteValue": "100", "tradeinDevice": true, "additionalInfo": "" } ]
Response
If successful, the response will include the trade-ins' inventory record details after creation.
json{ "createdItems": [ { "id": "019a9d93-ed50-7690-a78b-8283938sajsj", "storeId": "42eb713e-1aa3-4b9f-a6e8-3f9e246b5466", "groupingId": null, "sku": "TRADEIN-ce016b5", "manufacturer": "Apple", "category": "Device", "type": "Device - Phone", "name": "iPhone 13 Pro", "cost": 100, "inventoried": true, "serialized": false, "instock": 1, "condition": "Used", "bin": "", "supplierId": null, "price": 100, "createdAt": "2025-11-19T19:25:08.816Z", "updatedAt": "2025-11-19T19:25:08.816Z", "note": "", "active": true, "serialNum": "332132131AA", "isRebate": false, "taxFree": false, "repairProvider": null, "tradeinDevice": true, "storage": "256GB", "color": "White", "carrier": "Verizon", "tradeInCondition": "Grade A", "tradeInStatus": null, "additionalInfo": "", "isMotorolaSku": null, "pulled": 0, "backOrdered": 0 } ] }